<?php

namespace App\Filament\Resources\PricelistFiles\Pages;

use App\Filament\Resources\PricelistFiles\PricelistFileResource;
use Filament\Actions\EditAction;
use Filament\Resources\Pages\ViewRecord;
use App\Enums\PricelistFileStatusEnum;

class ViewPricelistFile extends ViewRecord
{
    protected static string $resource = PricelistFileResource::class;

    protected function getHeaderActions(): array
    {
        return [
            EditAction::make()
                ->visible(fn ($record) => $record->status === PricelistFileStatusEnum::fail),
        ];
    }

    protected function getHeaderWidgets(): array
    {
        return [
            // Később ide jöhetnek widgetek, pl. statisztika a feldolgozásról
        ];
    }
}
